Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QDesignerDynamicPropertySheetExtension Class Reference

The QDesignerDynamicPropertySheetExtension class allows you to manipulate a widget's dynamic properties in Qt Designer's property editor. More...

     #include <QDesignerDynamicPropertySheetExtension>

This class was introduced in Qt 4.3.

- List of all members, including inherited members

## Public Functions

virtual | ~QDesignerDynamicPropertySheetExtension ()
virtual int | addDynamicProperty ( const QString & propertyName, const QVariant & value ) = 0
virtual bool | canAddDynamicProperty ( const QString & propertyName ) const = 0
virtual bool | dynamicPropertiesAllowed () const = 0
virtual bool | isDynamicProperty ( int index ) const = 0
virtual bool | removeDynamicProperty ( int index ) = 0

## Detailed Description

The QDesignerDynamicPropertySheetExtension class allows you to manipulate a widget's dynamic properties in Qt Designer's property editor.

See also QDesignerPropertySheetExtension and Dynamic Properties.

## Member Function Documentation

### QDesignerDynamicPropertySheetExtension::~QDesignerDynamicPropertySheetExtension ()`[virtual]`

Destroys the dynamic property sheet extension.

### int QDesignerDynamicPropertySheetExtension::addDynamicProperty ( const QString & propertyName, const QVariant & value )`[pure virtual]`

Adds a dynamic property named propertyName and sets its value to value. Returns the index of the property if it was added successfully; otherwise returns -1 to indicate failure.

### bool QDesignerDynamicPropertySheetExtension::canAddDynamicProperty ( const QString & propertyName ) const`[pure virtual]`

Returns true if propertyName is a valid, unique name for a dynamic property; otherwise returns false.

### bool QDesignerDynamicPropertySheetExtension::dynamicPropertiesAllowed () const`[pure virtual]`

Returns true if the widget supports dynamic properties; otherwise returns false.

### bool QDesignerDynamicPropertySheetExtension::isDynamicProperty ( int index ) const`[pure virtual]`

Returns true if the property at the given index is a dynamic property; otherwise returns false.

### bool QDesignerDynamicPropertySheetExtension::removeDynamicProperty ( int index )`[pure virtual]`

Removes the dynamic property at the given index. Returns true if the operation succeeds; otherwise returns false.